#!/bin/sh

#------------#------------------------------------------------------------
# Parameters #
#------------#

# Fortran compiler
# FORTRAN_COMPILER=/mingw32/bin/gfortran
# FORTRAN_COMPILER=gfortran
# Build type (Release/Debug)
BUILD_TYPE=Debug
CXX_COMPILER="g++"

rm -rf build CMakeCache.txt cmake_install.cmake CMakeFiles;
#cmake -G "${MAKEFILE_TYPE}" -DCMAKE_BUILD_TYPE=${BUILD_TYPE} -DCMAKE_CXX_COMPILER=g++-8 .
cmake -DCMAKE_VERBOSE_MAKEFILE:BOOL=ON -DCMAKE_BUILD_TYPE=${BUILD_TYPE} -DCMAKE_CXX_COMPILER=${CXX_COMPILER} .
#make VERBOSE=1 -j ${N_CORES} && echo "Build complete." || exit -1;
cmake --build . --config ${BUILD_TYPE} -- -j${N_CORES} && (tput setaf 2; echo "Build complete."; tput sgr 0; ) || (tput setaf 1; echo "Build finished with errors!"; tput sgr 0; exit 1;)
#make install;
